summaryrefslogtreecommitdiffstats
path: root/Lib/plat-sunos4
diff options
context:
space:
mode:
Diffstat (limited to 'Lib/plat-sunos4')
-rwxr-xr-xLib/plat-sunos4/regen11
1 files changed, 11 insertions, 0 deletions
diff --git a/Lib/plat-sunos4/regen b/Lib/plat-sunos4/regen
new file mode 100755
index 0000000..f1482db
--- /dev/null
+++ b/Lib/plat-sunos4/regen
@@ -0,0 +1,11 @@
+#! /bin/sh
+case `uname -sr` in
+'SunOS 4.'*) ;;
+*) echo Probably not on a SunOS 4 system 1>&2
+ exit 1;;
+esac
+set -v
+h2py </usr/include/sys/fcntlcom.h >FCNTL.py
+echo "O_ACCMODE = (O_RDONLY|O_WRONLY|O_RDWR)" >>FCNTL.py
+h2py /usr/include/sys/socket.h
+h2py -i '(u_long)' /usr/include/netinet/in.h